Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 2084)
+++ doc/groups.dox	(revision 2117)
@@ -26,8 +26,8 @@
 Alteration of standard containers need a very limited number of 
 operations, these together satisfy the everyday requirements. 
-In the case of graph strutures, different operations are needed which do 
+In the case of graph structures, different operations are needed which do 
 not alter the physical graph, but gives another view. If some nodes or 
 edges have to be hidden or the reverse oriented graph have to be used, then 
-this is the case. It also may happen that in a flow implemenation 
+this is the case. It also may happen that in a flow implementation 
 the residual graph can be accessed by another algorithm, or a node-set 
 is to be shrunk for another algorithm. 
@@ -46,7 +46,7 @@
 \brief Graph types between real graphs and graph adaptors.
 
-Graph types between real graphs and graph adaptors. These classes
-wrap graphs to give new functionality as the adaptors do it. But the
-other way they are not light-weigth structures as the adaptors.
+Graph types between real graphs and graph adaptors. These classes wrap
+graphs to give new functionality as the adaptors do it. On the other
+hand they are not light-weight structures as the adaptors.
 */
 
@@ -78,5 +78,5 @@
 
 Most of them are \ref lemon::concept::ReadMap "ReadMap"s. They can
-make arithmetic oprerations between one or two maps (negation, scaling,
+make arithmetic operations between one or two maps (negation, scaling,
 addition, multiplication etc.) or e.g. convert a map to another one
 of different Value type.
@@ -186,8 +186,8 @@
 @defgroup spantree Minimum Cost Spanning Tree Algorithms
 @ingroup algs
-\brief This group containes the algorithms for finding a minimum cost spanning
+\brief This group contains the algorithms for finding a minimum cost spanning
 tree in a graph
 
-This group containes the algorithms for finding a minimum cost spanning
+This group contains the algorithms for finding a minimum cost spanning
 tree in a graph
 */
@@ -233,5 +233,5 @@
 Here you can find tools for importing and exporting graphs 
 and graph related data. Now it supports the LEMON format, the
-dimacs format and the encapsulated postscript format.
+\c DIMACS format and the encapsulated postscript format.
 */
 
@@ -269,7 +269,7 @@
 @defgroup eps_io Postscript exporting
 @ingroup io_group
-\brief General EPS drawer and graph exporter
-
-This group contains general EPS drawing methods and special
+\brief General \c EPS drawer and graph exporter
+
+This group contains general \c EPS drawing methods and special
 graph exporting tools. 
 */
@@ -287,8 +287,24 @@
 classes implemented in LEMON.
 
-One aim of these classes is to make it easier to check if a certain
-class or template function is correctly implemented.
-
-The other (sometimes even more important) aim is to document the concepts.
+The purpose of the classes in this group is fourfold.
+ 
+- These classes contain the documentations of the concepts. In order
+  to avoid document multiplications, an implementation of a concept
+  simply refers to the corresponding concept class.
+
+- These classes declare every functions, <tt>typedef<tt>s etc. an
+  implementation of the concepts should provide, however completely
+  without implementations and real data structures behind the
+  interface. On the other hand they should provide nothing else. All
+  the algorithms working on a data structure meeting a certain concept
+  should compile with these classes. (Though it will not run properly,
+  of course.) In this way it is easily to check if an algorithm
+  doesn't use any extra feature of a certain implementation.
+
+- The concept descriptor classes also provide a <em>checker class<em>
+  that makes it possible check whether a certain implementation of a
+  concept indeed provides all the required features.
+
+- Finally, They can serve as a skeleton of a new implementation of a concept.
 
 */
